historique_savings.php File Reference

## Variables

| $site_url = base_url()
if($alert=="ok") | $baseCurrency = 'USD'
| $pdo = new PDO('mysql:host=' . $this->db->hostname . ';dbname=' . $this->db->database, $this->db->username, $this->db->password)
| $configuration = new PDOProviderConfiguration()
$configuration | tableName = 'exchange_rate'
$configuration | exchangeRateColumnName = 'exchange_rate'
$configuration | targetCurrencyColumnName = 'target_currency'
$configuration | sourceCurrencyCode = $baseCurrency
| $provider = new PDOProvider($pdo, $configuration)
| $converter = new CurrencyConverter($provider)
| $context = new AutoContext()

## Variable Documentation

## $baseCurrency

if ( $alert=="ok") $baseCurrency = 'USD'

## $configuration

$configuration = new PDOProviderConfiguration()

## $context

$context = new AutoContext()

## $converter

$converter = new CurrencyConverter($provider)

## $pdo

$pdo = new PDO('mysql:host=' . $this->db->hostname . ';dbname=' . $this->db->database, $this->db->username, $this->db->password)

## $provider

$provider = new PDOProvider($pdo, $configuration)

## $site_url

$site_url = base_url()

## exchangeRateColumnName

$configuration exchangeRateColumnName = 'exchange_rate'

## sourceCurrencyCode

$configuration sourceCurrencyCode = $baseCurrency

## tableName

$configuration tableName = 'exchange_rate'

## targetCurrencyColumnName

$configuration targetCurrencyColumnName = 'target_currency'